package weapons

import "mover/gamedata"

type Laser struct {
	active bool
}

func NewLaser() *Laser {
	l := &Laser{
		active: false,
	}
	return l
}

func (g *Laser) IsActive() bool {
	return g.active
}

func (g *Laser) SetActivity(active bool) {
	g.active = active
}

func (g *Laser) GetWeaponType() gamedata.WeaponType {
	return gamedata.WeaponTypeLaser
}
